package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.TenantPaymentOrder;
import com.ym.mec.biz.dal.page.TenantPaymentOrderQueryInfo;
import com.ym.mec.common.entity.HttpResponseResult;
import com.ym.mec.common.service.BaseService;

public interface TenantPaymentOrderService extends BaseService<Long, TenantPaymentOrder> {

	/**
	 * 下单
	 * @param userId
	 * @param activitiesId
	 * @param isContinuePay 是否继续付款
	 * @return
	 */
	public HttpResponseResult createOrder(Integer userId, Integer activitiesId, boolean isContinuePay);

	/**
	 * 回调
	 * @param tenantPaymentOrder
	 * @return
	 */
	public boolean paymentForCallback(TenantPaymentOrder tenantPaymentOrder);

	/**
	 * 从第三方查询订单状态
	 */
	public void queryOrderStatusFromRemote();

	/**
	 * 订单查询
	 * @param orderNo
	 * @return
	 */
	public TenantPaymentOrder queryByOrderNo(String orderNo);

	Object queryTenanPaymentPage(TenantPaymentOrderQueryInfo queryInfo);
}